function [a, b] = seriefourier(s)

% Assicuriamoci di avere un vettore  riga, ed un segnale mono. 
if size(s, 1) > size(s, 2)
    s = s';
end

if size(s, 1) > 1
    s = s(1, :);
end

y = fft(s) / length(s);

% Ricostruiamo i coefficienti a, b dalla serie di Fourier complessa
a = y(1) * 2;

l = floor((length(s)+1) / 2);

a = [ a, 2 * real(y(2 : l)) ];
b = -2 * imag(y(2:l));

if mod(length(y), 2) == 0
    a = [a , real(y(l+1)) ];
end

end